Important Attn: Addon Devs - Python 3 compatible addons
#33
(2020-03-18, 10:49)mediaminister Wrote: There is still great confusion for me regarding this change which makes it impossible for me to customize add-ons for use with Kodi 19 Matrix.

What's the best practice regarding version numbers for Py2/3 compatible add-ons that should work flawlessly for existing users using Kodi 18 who will eventually upgrade to Kodi 19?

I don't know about best practice, but here's what I did with Artist Slideshow.
  • Leia version: 3.2.1
  • Matrix version: 3.2.101

As I do maintenance updates, the last digit can be updated 99 times before I run into a duplication problem.  So the next minor update would be:
  • Leia version: 3.2.2
  • Matrix version: 3.2.102

And if I do a minor or major update, the maintenance number resets. So:
  • Leia version: 3.3.0 (minor update) or 4.0.0 (major update)
  • Matrix version: 3.3.100 (minor update) or 4.0.100 (major update)

Since the code base is the same, this lets me maintain basically the same versioning but makes sure the Matrix version is always newer.
Reply


Messages In This Thread
RE: Attn: Addon Devs - Python 3 compatible addons - by pkscout - 2020-03-20, 01:05


Logout Mark Read Team Forum Stats Members Help
Attn: Addon Devs - Python 3 compatible addons0
This forum uses Lukasz Tkacz MyBB addons.